Update Account

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/account
API call form
Examples

Accounts/Connections contain the information necessary to access a certain plugin (e.g. Google Drive, your own custom plugin, etc.) or database. When you add a database connection and click 'Connect', an account/connection is created, allowing you to retrieve datasets later on.

Update the credentials of an account/connection.

Request parametersResponse schema
Expand all Reset
id *UUIDrequired

The unique identifier of the entity

properties *OBJECTrequired

Writable properties for a partial connection update. No property is required.

provider STRING
date DATETIME
identifier STRING
token STRING
refreshToken STRING
expiry DATETIME
scope STRING
host STRING
name STRING
description OBJECT
port NUMBER
active BOOLEAN
cache NUMBER
code STRING
datasets_meta_sync_enabled BOOLEAN
datasets_meta_sync_interval NUMBER
Can be executed by:
Connection Owner
Can be associated to:
User
Plugin
Datasets
Shareable
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "properties": null,
  "id": "74ce5450-a4e8-886b-8ab3-3845a0d07023",
  "provider": "postgresql",
  "date": "2024-01-13T13:42:05.736Z",
  "identifier": "demo-user",
  "expiry": null,
  "scope": "demo",
  "host": "new.exampledb.com",
  "name": "Demo database connection",
  "description": {
    "en": "New Connection description"
  },
  "port": "5432",
  "active": true,
  "invalid": false,
  "cache": 0,
  "synced": false,
  "version": null,
  "datasets_meta_sync_interval": 1,
  "datasets_meta_sync_enabled": true,
  "created_at": "2024-01-13T13:42:05.738Z",
  "updated_at": "2024-01-13T18:56:16.739Z",
  "user_id": "690b7bd5-2c92-4432-ba47-35d785df1bi4",
  "plugin_id": null,
  "shareable_id": "342e71d8-739b-438b-8519-960693816254"
}